Subject: 29.1; On MS-Windows, Pcomplete for Git subcommands opens a web browser instead of listing completions(?!)

From: Jim Porter <[email-masked]>
Date: Tue, 5 Sep 2023 13:01:46 -0700

This is pretty weird, but I think I know what's happening here. On 
MS-Windows, start from "emacs -Q -f shell" and then type:

   git add -<TAB>

Instead of showing the list of completions, this opens up a web browser 
to the URL 
<file:///C:/Program%20Files/Git/mingw64/share/doc/git-doc/git-add.html> 
(or wherever you installed Git).

That's because usually, MS-Windows users don't have "man" installed, so 
Git opts to show its man pages in a web browser. I think when getting 
Pcomplete info from Help for Git, we should pass '--man' on the command 
line to force Git to use the format we expect (or at least to error out 
so that it doesn't open the web browser).